For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create rate

Creates a new rate.

post

Creates one or more rates for a pair via bulk payload.

Body

Bulk operation data model

Responses
201

Created

application/json

Record of rate for specific day

idstringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
recordDatestring · date-timeOptional

Date and time of rate

valuenumber · doubleOptional

Rate from source to destination currency

externalIdstring · nullableOptional

External id of rate

statusstring · enumOptional

Record status enumeration

Possible values:
post/public/v1/exchange/pairs/-/rates
POST /public/v1/exchange/pairs/-/rates HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 709

{
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "deleted": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "icon": "text",
      "revision": 1,
      "pair": {
        "revision": 1,
        "id": "text",
        "name": "text",
        "externalId": "text",
        "notes": "text",
        "primary": true,
        "latestRate": "[Circular Reference]"
      },
      "recordDate": "2026-01-01T00:00:00.000Z",
      "value": 1,
      "externalId": "text",
      "status": "Active",
      "reverseRate": {
        "id": "text",
        "icon": "text",
        "revision": 1,
        "value": 1,
        "externalId": "text"
      }
    }
  ]
}
[
  {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "deleted": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "icon": "text",
    "revision": 1,
    "pair": {
      "revision": 1,
      "id": "text",
      "name": "text",
      "externalId": "text",
      "notes": "text",
      "primary": true,
      "latestRate": {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "deleted": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "icon": "text",
        "revision": 1,
        "pair": "[Circular Reference]",
        "recordDate": "2026-01-01T00:00:00.000Z",
        "value": 1,
        "externalId": "text",
        "status": "Active",
        "reverseRate": {
          "id": "text",
          "icon": "text",
          "revision": 1,
          "value": 1,
          "externalId": "text"
        }
      }
    },
    "recordDate": "2026-01-01T00:00:00.000Z",
    "value": 1,
    "externalId": "text",
    "status": "Active",
    "reverseRate": {
      "id": "text",
      "icon": "text",
      "revision": 1,
      "value": 1,
      "externalId": "text"
    }
  }
]

Last updated

Was this helpful?